Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode>` | `PARSER`
`static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode>` | `getParserForType()`
`int` | `getSerializedSize()`
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode prototype)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode> PARSER

### TIMER_INSTANCE_ID_FIELD_NUMBER

    public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### getTimerInstanceIdList

    public List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder`

### getTimerInstanceIdCount

    public int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder`

### getTimerInstanceId

    public long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(com.google.protobuf.ByteString data)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(com.google.protobuf.ByteString data,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(byte[] data)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(byte[] data,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(InputStream input)
                                                                                throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(InputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseDelimitedFrom(InputStream input)
                                                                                         throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseDelimitedFrom(InputStream input,
                                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                         throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.